nativescript(SvelteNative)のpythonはpython2を参照しているので、注意!

M1Macにおいて、pythonでハマったので、残します。

以下のようにpythonのsixというパッケージが必要で、インストール済みにも関わらず見つからないとういエラーが発生しました。

> tapdiary@7.0.0 nsios
> tns run ios --device 'iPhone 13 mini' --sdk 15.4

✔ Xcode is installed and is configured properly.
✔ xcodeproj is installed and is configured properly.
✔ CocoaPods are installed.
✔ CocoaPods update is not required.
✔ CocoaPods are configured properly.
✔ Your current CocoaPods version is newer than 1.0.0.
✔ Python installed and configured correctly.
✔ Xcode version 13.3.1 satisfies minimum required version 10.
✖ WARNING: The Python 'six' package not found. 
 This package is required by the Debugger library (LLDB) for iOS. You can install it by first making sure you have pip installed and then running 'pip install six' from the terminal. 

Your environment is not configured properly and you will not be able to execute local builds.
Verify that your environment is configured according to the system requirements described at
https://docs.nativescript.org/environment-setup.html#macos-ios.
[uchidayuma@kaeruMac tapdiary (feature_uiux-20220425 *%)]$ pip3 list
Package             Version
------------------- --------------
chromedriver-binary 90.0.4430.24.0
pip                 22.0.4
selenium            3.141.0
setuptools          60.10.0
si                  0.1.1.post1
six                 1.16.0
urllib3             1.26.4
wheel               0.37.1
[uchidayuma@kaeruMac tapdiary (feature_uiux-20220425 *%)]$ pip list 
Package             Version
------------------- --------------
chromedriver-binary 90.0.4430.24.0
pip                 22.0.4
selenium            3.141.0
setuptools          60.10.0
si                  0.1.1.post1
six                 1.16.0
urllib3             1.26.4

結論としては、M1MacからPython2を参照していたため、

  • M1MacにPython2をインストール
  • pip2 でsixをインストール

すると上手く行きました。

Python2はデフォルトでインストールされていないため、こちらからインストーラーでインストール。

その後、 pip2 install six で解決です!




今SvelteNativeを使って英語圏アプリでマネタイズをしています。

その裏側を紹介するメールマガジンを配信しているので、ご興味あれば覗いてみてくださいね。